- Qt 5.15
- Qt Platform Headers
- C++ Classes
- QEGLNativeContext
- Qt 5.15.19 Reference Documentation

# QEGLNativeContext Struct

A class encapsulating an EGL context and display handle. More...

Header: | #include <QEGLNativeContext>
Since: | Qt 5.4

This struct was introduced in Qt 5.4.

- List of all members, including inherited members

## Public Functions

| QEGLNativeContext(EGLContext ctx, EGLDisplay dpy)
| QEGLNativeContext()
EGLContext | context() const
EGLDisplay | display() const

## Detailed Description

Note: There is no binary compatibility guarantee for this class, meaning that an application using it is only guaranteed to work with the Qt version it was developed against.

Note: Due to being public while relying on otherwise hidden EGL types, this header itself does not include `EGL/egl.h`. It is the application's responsibility to include egl.h with any appropriate defines (for example, `MESA_EGL_NO_X11_HEADERS` or other vendor-specific defines controlling the typedefs for EGL's native resources) before this header.

See also QOpenGLContext::setNativeHandle() and QOpenGLContext::nativeHandle().

## Member Function Documentation

### QEGLNativeContext::QEGLNativeContext(EGLContext ctx, EGLDisplay dpy)

Constructs a new instance with the provided ctx and dpy handles.

### QEGLNativeContext::QEGLNativeContext()

Construct a new instance with no handles.

### EGLContext QEGLNativeContext::context() const

Returns the EGL context.

### EGLDisplay QEGLNativeContext::display() const

Returns the EGL display.